﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT DSO/DSA9xxx4A (1 yr) Zero Error Test VER VISA
DATE:                  2013-11-04 09:06:19
AUTHOR:                Fluke
REVISION:              $Revision: 5331 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       130
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        Agilent 90000 Series Infiniium Oscilloscopes:
#          DSO/DSA90254A, DSO/DSA90404A, DSO/DSA90604A,
#          DSO/DSA90804A, DSO/DSA91204A, DSO/DSA91304A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Agilent Infiniium Channel Selection VISA

# Specifications:
#   <= 3.5 V: ±(2 % of channel offset + 1 % of full scale) + 1 mV
#
# The offset accuracy specification has two terms
# ±(offset gain + zero error).
# The offset gain specification is ±2 % of channel offset and the zero error
# specification is ±1 % of full scale. The offset accuracy test procedure
# tests each of these terms individually,  This procedure addresses zero
# error.
#
# Full scale is defined as 8 vertical divisions.

  1.002  IF           @Chan == 1
  1.003  RSLT         =
  1.004  HEAD         {OFFSET PERFORMANCE TEST} - Zero Error Test
  1.005  RSLT         =
  1.006  RSLT         =Zero Error Test
  1.007  ELSE
  1.008  HEAD         OFFSET PERFORMANCE TEST - Zero Error Test
  1.009  ENDIF

  1.010  RSLT         =
  1.011  HEAD         -2 {Channel [V @Chan]}: 5 mV/div
  1.012  TARGET       -p
  1.013  VISA         STOP;:CDISPLAY
  1.014  VISA         ACQ:AVER ON;COUNT 256
  1.015  VISA         CHAN[V @Chan]:SCAL 5E-3;OFFS 0V
  1.016  TSET         TDESC = 5 mV/div
  1.017  TARGET       -m
  1.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  1.019  MATH         MEM = MEM / 1E-3
  1.020  MEMCX  40    0.00mV         1/ 1U

  2.001  HEAD         -2 Channel [V @Chan]: 10 mV/div
  2.002  VISA         CHAN[V @Chan]:SCAL 10E-3;OFFS 0V
  2.003  TSET         TDESC = 10 mV/div
  2.004  TARGET       -m
  2.005  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  2.006  MATH         MEM = MEM / 1E-3
  2.007  MEMCX  80    0.00mV         1/ 1U

  3.001  HEAD         -2 Channel [V @Chan]: 20 mV/div
  3.002  VISA         CHAN[V @Chan]:SCAL 20E-3;OFFS 0V
  3.003  TSET         TDESC = 20 mV/div
  3.004  TARGET       -m
  3.005  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  3.006  MATH         MEM = MEM / 1E-3
  3.007  MEMCX  160   0.00mV         1/ 1U

  4.001  HEAD         -2 Channel [V @Chan]: 50 mV/div
  4.002  VISA         CHAN[V @Chan]:SCAL 50E-3;OFFS 0V
  4.003  TSET         TDESC = 50 mV/div
  4.004  TARGET       -m
  4.005  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  4.006  MATH         MEM = MEM / 1E-3
  4.007  MEMCX  400   0.00mV         1/ 1U

  5.001  HEAD         -2 Channel [V @Chan]: 100 mV/div
  5.002  VISA         CHAN[V @Chan]:SCAL 100E-3;OFFS 0V
  5.003  TSET         TDESC = 100 mV/div
  5.004  TARGET       -m
  5.005  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  5.006  MATH         MEM = MEM / 1E-3
  5.007  MEMCX  800   0.00mV         1/ 1U

  6.001  HEAD         -2 Channel [V @Chan]: 200 mV/div
  6.002  VISA         CHAN[V @Chan]:SCAL 200E-3;OFFS 0V
  6.003  TSET         TDESC = 200 mV/div
  6.004  TARGET       -m
  6.005  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  6.006  MATH         MEM = MEM / 1E-3
  6.007  MEMCX  1600  0.00mV         1/ 1U

  7.001  HEAD         -2 Channel [V @Chan]: 500 mV/div
  7.002  VISA         CHAN[V @Chan]:SCAL 500E-3;OFFS 0V
  7.003  TSET         TDESC = 500 mV/div
  7.004  TARGET       -m
  7.005  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  7.006  MATH         MEM = MEM / 1E-3
  7.007  MEMCX  4000  0.00mV         1/ 1U

  8.001  HEAD         -2 Channel [V @Chan]: 1 V/div
  8.002  VISA         CHAN[V @Chan]:SCAL 1;OFFS 0V
  8.003  TSET         TDESC = 1 V/div
  8.004  TARGET       -m
  8.005  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  8.006  MATH         MEM = MEM / 1E-3
  8.007  MEMCX  8000  0.00mV         1/ 1U

  9.001  VISA         *RST
  9.002  HEAD
  9.003  HEAD         -2
  9.004  END
